- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qgraphicsitem.h File Reference

`#include <QtCore/qglobal.h>`
`#include <QtCore/qobject.h>`
`#include <QtCore/qvariant.h>`
`#include <QtCore/qrect.h>`
`#include <QtCore/qscopedpointer.h>`
`#include <QtGui/qpainterpath.h>`
`#include <QtGui/qpixmap.h>`

Go to the source code of this file.

## Classes
class | QGraphicsItem
class | QGraphicsObject
class | QAbstractGraphicsShapeItem
class | QGraphicsPathItem
class | QGraphicsRectItem
class | QGraphicsEllipseItem
class | QGraphicsPolygonItem
class | QGraphicsLineItem
class | QGraphicsPixmapItem
class | QGraphicsTextItem
class | QGraphicsSimpleTextItem
class | QGraphicsItemGroup
## Functions
template<class T >
T | qgraphicsitem_cast (QGraphicsItem *item)
template<class T >
T | qgraphicsitem_cast (const QGraphicsItem *item)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, QGraphicsItem *item)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, QGraphicsObject *item)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, QGraphicsItem::GraphicsItemChange change)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, QGraphicsItem::GraphicsItemFlag flag)
Q_GUI_EXPORT QDebug | operator<< (QDebug debug, QGraphicsItem::GraphicsItemFlags flags)

## Function Documentation

T qgraphicsitem_cast | ( | QGraphicsItem * | item | ) | `[inline]`

Search for all occurrences

Definition at line 1138 of file qgraphicsitem.h.

    {
        return int(static_cast<T>(0)->Type) == int(QGraphicsItem::Type)
            || (item && int(static_cast<T>(0)->Type) == item->type()) ? static_cast<T>(item) : 0;
    }

T qgraphicsitem_cast | ( | const QGraphicsItem * | item | ) | `[inline]`

Search for all occurrences

Definition at line 1144 of file qgraphicsitem.h.

    {
        return int(static_cast<T>(0)->Type) == int(QGraphicsItem::Type)
            || (item && int(static_cast<T>(0)->Type) == item->type()) ? static_cast<T>(item) : 0;
    }

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | QGraphicsItem * | item
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | QGraphicsObject * | item
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | QGraphicsItem::GraphicsItemChange | change
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | QGraphicsItem::GraphicsItemFlag | flag
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | debug,
|  | QGraphicsItem::GraphicsItemFlags | flags
| ) |  |